<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a id="index_a"></a>- a -</h3><ul>
<li>ackSetSourceState()
: <a class="el" href="class_lib_soundmanager.html#a66e6fd5ef9955df2295c450400d6eb74">LibSoundmanager</a>
</li>
<li>availability
: <a class="el" href="structavailability__s.html#afdad584642d8870c90c54fac11bf25f2">availability_s</a>
</li>
<li>avalilable_reason
: <a class="el" href="structavailability__s.html#a4b332a9ad0ec10f9868932b13683eac5">availability_s</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>busname
: <a class="el" href="structdomain__data.html#a603ca16c36c8c013d730b9ec3ea35a55">domain_data</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>call()
: <a class="el" href="class_lib_soundmanager.html#a1fe952a4dabbab6126cc23e36c79c773">LibSoundmanager</a>
</li>
<li>changed_properties
: <a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a38071a4966a37fc4972f0f30343d5fa1">_AudiomanagerCommandinterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html#aee445ad1a41d2ddbef289c841e80d699">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html#a7bf9d80a76098e1038dda8c8e8e29f35">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>
</li>
<li>changed_properties_idle_source
: <a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a4b5a5461b5260e8075d53917e93103c0">_AudiomanagerCommandinterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html#aac54d18778efbcc933f3a59ad99dfe1e">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html#a21c7bc78886b12543f7b2d79c37d312d">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>
</li>
<li>complete
: <a class="el" href="structdomain__data.html#a10955225b49f816c5a29750d86bd357c">domain_data</a>
</li>
<li>connect()
: <a class="el" href="class_lib_soundmanager.html#aa570a8373e057127c85107e13053669c">LibSoundmanager</a>
</li>
<li>context
: <a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#aafe55dcbd10b2954803ae8083f124e17">_AudiomanagerCommandinterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html#a85a62a26668f39b9d94b7d6817898ce6">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html#a867d5376543f947a3ef046803aa73a99">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>disconnect()
: <a class="el" href="class_lib_soundmanager.html#a3e59dfb464c81824d32f3391dea9b295">LibSoundmanager</a>
</li>
<li>domainID
: <a class="el" href="structdomain__data.html#af1c7931d89ac01836657748e3afb43ca">domain_data</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>early
: <a class="el" href="structdomain__data.html#aad5a74265fdf352557e3bd4b7585870f">domain_data</a>
</li>
<li>event
: <a class="el" href="structevent.html#a58726ebc551d36562ac3f9e1fe293214">event</a>
</li>
<li>Event_AsyncSetSourceState
: <a class="el" href="class_lib_soundmanager.html#abd76525512641c001c3187629b58db07a3dabba8ce44eb980fd8f02a84ec7d002">LibSoundmanager</a>
</li>
<li>EventType_SM
: <a class="el" href="class_lib_soundmanager.html#abd76525512641c001c3187629b58db07">LibSoundmanager</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>handle_ack_connect
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ae94f0c43f9dcb471040598f63f696a7a">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_disconnect
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ad19ecd30baab6e7d4ba6d6c6002cfaf9">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_set_sink_volume
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ab6e540b11ad03b27b947b79f268ce1a9">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_set_source_state
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#aa08081f0b75bceb2d649b993e64780e0">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_set_volumes
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ae8345befe28426327325b1ba4df642ee">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_sink_notification_configuration
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ab6dead68bb1d960873c1d3b43b16ed75">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_ack_source_notification_configuration
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a29c4ad940905f828e5a8e5ac0433a3ae">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_async_abort
: <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a2533187c934a62aa925bc33f36e0842d">_AudiomanagerRoutingSoundmanagerIface</a>
</li>
<li>handle_async_connect
: <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#aaf21bf6e7f0a53cc0ff682ab84915916">_AudiomanagerRoutingSoundmanagerIface</a>
</li>
<li>handle_async_disconnect
: <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a4afe4885e0f8effeec506c7c248ce406">_AudiomanagerRoutingSoundmanagerIface</a>
</li>
<li>handle_async_set_sink_volume
: <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#ad50e3c8bf63145db7b2793f3f09a8a1a">_AudiomanagerRoutingSoundmanagerIface</a>
</li>
<li>handle_async_set_source_state
: <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#afa12d6ca18a68e5ef319b6f5d4830ad3">_AudiomanagerRoutingSoundmanagerIface</a>
</li>
<li>handle_confirm_routing_ready
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ab247488d2597997aca94ab969f8d3591">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_confirm_routing_rundown
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ad105905907e3735fe601fd472b658787">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_connect
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a43990993bb9ea56972ccc7fd111ca1da">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_deregister_sink
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a7a549ccc940b2d7bdfe044bf0080cab5">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_deregister_source
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a922e3b64fda18253a4876b08297af520">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_disconnect
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#aa109962beceb7ee6063060e9d5031a12">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_get_list_main_connections
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#aa446e43ef09c4354da0111d9b29ddc61">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_get_list_main_sinks
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a1367ae3bc1e66ce85f4e99978225304a">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_hook_interrupt_status_change
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#aaa5a962b2eabddde63e3379c86204661">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_hook_source_availablity_status_change
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a3e7e0beac27ee45449766260f0f52d2b">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_register_domain
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#abf7f3af5c44437c7e137d953e212796b">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_register_sink
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#aae0f751fca4ed3afbe8c6949bbf5b239">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_register_source
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#ab4d210b0dc6778973ff8494aabd2d73a">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>handle_set_sink_mute_state
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a02d3f2d14c1799b074ec446492e62539">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_set_volume
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a6ebd74e48b92340de3239fe898ecadbc">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handle_volume_step
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a196093f8f4e65d4b3aecd0a7e5bcdada">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>handler_fun
: <a class="el" href="class_lib_soundmanager.html#a7c28533bfc9315d8d0b417653611aba7">LibSoundmanager</a>
</li>
<li>hyphen_name
: <a class="el" href="struct___extended_g_d_bus_interface_info.html#a2ce7e9b5af14a3d92b26ba60d1960a12">_ExtendedGDBusInterfaceInfo</a>
, <a class="el" href="struct___extended_g_d_bus_property_info.html#a7f268f7123d6adcba4682aa68afc490b">_ExtendedGDBusPropertyInfo</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>info
: <a class="el" href="struct_changed_property.html#a8ec87ea012c360d0a634b0639e3a8672">ChangedProperty</a>
</li>
<li>init()
: <a class="el" href="class_lib_soundmanager.html#ad5026736048e49c640b25f790409a65e">LibSoundmanager</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>LibSoundmanager()
: <a class="el" href="class_lib_soundmanager.html#a8b51e9891813cb62dd12109c017ad106">LibSoundmanager</a>
</li>
<li>lock
: <a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#a2b86caa4a8597142bfa054bbc7267128">_AudiomanagerCommandinterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html#a6d434fee7516eebebb763a636ddd4148">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html#ad5302bae904e2416fa5100cf2b8a20bb">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main_connection_state_changed
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a60c7be0e93dcdeebc02e3ec6e5597545">_AudiomanagerCommandinterfaceIface</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="structdomain__data.html#a2a5bf2d2e6d9e6fef58e0bfea0826fe0">domain_data</a>
, <a class="el" href="structevent.html#a723489bec273335d13513cd1040c0216">event</a>
</li>
<li>new_main_connection
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#acf8ac7ac76b76708883e08af86c87116">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>nodename
: <a class="el" href="structdomain__data.html#aab4ab8994549b8cbbed43af384689376">domain_data</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>on_call()
: <a class="el" href="class_lib_soundmanager.html#a3ba2255cb1d29c77c4c6a2267949eda0">LibSoundmanager</a>
</li>
<li>on_event()
: <a class="el" href="class_lib_soundmanager.html#a86ef62e7847cd20e9cafbc1f6c017b3e">LibSoundmanager</a>
</li>
<li>on_hangup()
: <a class="el" href="class_lib_soundmanager.html#a71a8165cb15c7815aa95a8955f5cd7f6">LibSoundmanager</a>
</li>
<li>on_reply()
: <a class="el" href="class_lib_soundmanager.html#a69b4f10e509605a570cc52c795bc9d51">LibSoundmanager</a>
</li>
<li>operator=()
: <a class="el" href="class_lib_soundmanager.html#a875e992495c9448bc778dfe70325f672">LibSoundmanager</a>
</li>
<li>orig_value
: <a class="el" href="struct_changed_property.html#a9e8de37791026e23cbe799384b4a32af">ChangedProperty</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>parameter
: <a class="el" href="structnotification__config__s.html#a1352c4e312f72d3815e1478e4b5d910f">notification_config_s</a>
</li>
<li>parent_class
: <a class="el" href="struct___audiomanager_commandinterface_proxy_class.html#ad988ff80693b709fec5e8ec149975d32">_AudiomanagerCommandinterfaceProxyClass</a>
, <a class="el" href="struct___audiomanager_commandinterface_skeleton_class.html#a5b355e1f854f53959569289280a1eb78">_AudiomanagerCommandinterfaceSkeletonClass</a>
, <a class="el" href="struct___audiomanager_routinginterface_proxy_class.html#a1680c522ab86f62bfc29ed738495782d">_AudiomanagerRoutinginterfaceProxyClass</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_class.html#ad157d9dc8fbf386edc7556acef67a972">_AudiomanagerRoutinginterfaceSkeletonClass</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_proxy_class.html#a5becf6a2680ba6e4eaab0fe63ab7eb53">_AudiomanagerRoutingSoundmanagerProxyClass</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_class.html#a5fc338e136c6e7269fa3c86f3e45ca86">_AudiomanagerRoutingSoundmanagerSkeletonClass</a>
, <a class="el" href="struct___object_manager_client_class.html#a9c139fc0060ebe830eaa18485d874f78">_ObjectManagerClientClass</a>
, <a class="el" href="struct___object_proxy_class.html#ac675b6c444303192f29c6acbacd1d97a">_ObjectProxyClass</a>
, <a class="el" href="struct___object_skeleton_class.html#a0fc642dd9514dcbdd50be8a587af20d8">_ObjectSkeletonClass</a>
</li>
<li>parent_iface
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a551ebf6d7c02f5efa18eb2ec170601e4">_AudiomanagerCommandinterfaceIface</a>
, <a class="el" href="struct___audiomanager_routinginterface_iface.html#a2235fa9640d924dfa2810cab5c349812">_AudiomanagerRoutinginterfaceIface</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_iface.html#a4bb6a0f7d7b7df2c18a9b54f9023d308">_AudiomanagerRoutingSoundmanagerIface</a>
, <a class="el" href="struct___object_iface.html#a53459034645e2efe3db475f46b5ef289">_ObjectIface</a>
</li>
<li>parent_instance
: <a class="el" href="struct___audiomanager_commandinterface_proxy.html#ace2434aadda7785f40ac7f79d1448e5b">_AudiomanagerCommandinterfaceProxy</a>
, <a class="el" href="struct___audiomanager_commandinterface_skeleton.html#a0c82ba8e0892e0172cb4e6493a74e505">_AudiomanagerCommandinterfaceSkeleton</a>
, <a class="el" href="struct___audiomanager_routinginterface_proxy.html#a0e2790280308cf77327ce846b512cb24">_AudiomanagerRoutinginterfaceProxy</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton.html#a1a978f447854cfd0967eb96633a04ccf">_AudiomanagerRoutinginterfaceSkeleton</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_proxy.html#ad89dc31bd5330b25198cab49269de838">_AudiomanagerRoutingSoundmanagerProxy</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton.html#ae1135d9ecfd9cc8ffc1e66bf346b922b">_AudiomanagerRoutingSoundmanagerSkeleton</a>
, <a class="el" href="struct___object_manager_client.html#a73eff3419c5a013b6eec2bce62a4f643">_ObjectManagerClient</a>
, <a class="el" href="struct___object_proxy.html#ab652e343d1ce9e8b3fd4a3b974903414">_ObjectProxy</a>
, <a class="el" href="struct___object_skeleton.html#a58fd98369b9a6d7e55ad792c010da273">_ObjectSkeleton</a>
</li>
<li>parent_struct
: <a class="el" href="struct___extended_g_d_bus_arg_info.html#a80ab64d9e93e88e8395efeb544ace773">_ExtendedGDBusArgInfo</a>
, <a class="el" href="struct___extended_g_d_bus_interface_info.html#a4fc1cb415c1788f334b604576f43ad47">_ExtendedGDBusInterfaceInfo</a>
, <a class="el" href="struct___extended_g_d_bus_method_info.html#a29abc0664ebec538d6f81cff959402b7">_ExtendedGDBusMethodInfo</a>
, <a class="el" href="struct___extended_g_d_bus_property_info.html#a29663dad9f5ac7b03ea53afc3c60a867">_ExtendedGDBusPropertyInfo</a>
, <a class="el" href="struct___extended_g_d_bus_signal_info.html#aef8127a978738ec67e3d58a4896bbd14">_ExtendedGDBusSignalInfo</a>
</li>
<li>pass_fdlist
: <a class="el" href="struct___extended_g_d_bus_method_info.html#aab53b31ca306174d0da237b5ce325b3c">_ExtendedGDBusMethodInfo</a>
</li>
<li>priv
: <a class="el" href="struct___audiomanager_commandinterface_proxy.html#a8e0632923f075e8b817ce56af92df632">_AudiomanagerCommandinterfaceProxy</a>
, <a class="el" href="struct___audiomanager_commandinterface_skeleton.html#a1b9ace706cd09dd1317b219967733e74">_AudiomanagerCommandinterfaceSkeleton</a>
, <a class="el" href="struct___audiomanager_routinginterface_proxy.html#ab915342f70ce43d70be265491533da44">_AudiomanagerRoutinginterfaceProxy</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton.html#af624140545edb66173b565dad056ddfe">_AudiomanagerRoutinginterfaceSkeleton</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_proxy.html#a370a120d0f90abc6ec02f8660f0894c5">_AudiomanagerRoutingSoundmanagerProxy</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton.html#a592da420a5b8dc934cae9158522cd374">_AudiomanagerRoutingSoundmanagerSkeleton</a>
, <a class="el" href="struct___object_manager_client.html#a35c89f23cdbe49d337892d2171bb9199">_ObjectManagerClient</a>
, <a class="el" href="struct___object_proxy.html#a7432470285fce2a802d5ae4751f52abf">_ObjectProxy</a>
, <a class="el" href="struct___object_skeleton.html#a1084cef750cb5508e7c6e0f296b5210e">_ObjectSkeleton</a>
</li>
<li>prop_id
: <a class="el" href="struct_changed_property.html#ae17bcd7ea7435964501699a5dc6b0b15">ChangedProperty</a>
</li>
<li>properties
: <a class="el" href="struct___audiomanager_commandinterface_skeleton_private.html#abb2dc271fbd9468da54de8f76787fed5">_AudiomanagerCommandinterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_skeleton_private.html#a49cc7e80fef14aaa95775d4444e0c813">_AudiomanagerRoutinginterfaceSkeletonPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_skeleton_private.html#ad296828963693de38a097d9d5439196c">_AudiomanagerRoutingSoundmanagerSkeletonPrivate</a>
</li>
</ul>


<h3><a id="index_q"></a>- q -</h3><ul>
<li>qdata
: <a class="el" href="struct___audiomanager_commandinterface_proxy_private.html#ac035b0760faa455b1ce969b9b9e4028f">_AudiomanagerCommandinterfaceProxyPrivate</a>
, <a class="el" href="struct___audiomanager_routinginterface_proxy_private.html#a4d5abfdedac51d4224e84de64e907b5e">_AudiomanagerRoutinginterfaceProxyPrivate</a>
, <a class="el" href="struct___audiomanager_routing_soundmanager_proxy_private.html#ab1eedde43df8428e3e045e796be2a3f4">_AudiomanagerRoutingSoundmanagerProxyPrivate</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>register_callback()
: <a class="el" href="class_lib_soundmanager.html#a472149619f68c2387d4ff7e02845db26">LibSoundmanager</a>
</li>
<li>registerSource()
: <a class="el" href="class_lib_soundmanager.html#a5353df3686a64c74c9672efd0c156351">LibSoundmanager</a>
</li>
<li>removed_main_connection
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a79a550450c8e7796acae307e5562142e">_AudiomanagerCommandinterfaceIface</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>set_event_handler()
: <a class="el" href="class_lib_soundmanager.html#af39e2ddfb07ec049565b61ab4e1fbf8d">LibSoundmanager</a>
</li>
<li>set_routing_ready
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a58f92c78dae0850dfdc5b4096957cdfb">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>set_routing_rundown
: <a class="el" href="struct___audiomanager_routinginterface_iface.html#a2506d6398156498330ecd4beb9f1b44d">_AudiomanagerRoutinginterfaceIface</a>
</li>
<li>signal_name
: <a class="el" href="struct___extended_g_d_bus_method_info.html#a1866e9d0baa034c38489e78f8a684547">_ExtendedGDBusMethodInfo</a>
, <a class="el" href="struct___extended_g_d_bus_signal_info.html#afc98b2286184074cf09aa9e12ff9d9b1">_ExtendedGDBusSignalInfo</a>
</li>
<li>sink_mute_state_changed
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#add4f7a9df53cd7dfa4ae5286a6822b9f">_AudiomanagerCommandinterfaceIface</a>
</li>
<li>state
: <a class="el" href="structdomain__data.html#a649ef6684cb3eda8998e84569d336ad2">domain_data</a>
</li>
<li>status
: <a class="el" href="structnotification__config__s.html#aecb3551971d549a59efa011e7c1679a4">notification_config_s</a>
</li>
<li>subscribe()
: <a class="el" href="class_lib_soundmanager.html#a9cd7c5470cb135f9b1aa56d790c7e91e">LibSoundmanager</a>
</li>
<li>system_property_changed
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a22c033bae26a6343ec05890b815bd238">_AudiomanagerCommandinterfaceIface</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>type
: <a class="el" href="structmain__sound__property__s.html#add28376b77aa40fa79c8796a641cb3b4">main_sound_property_s</a>
, <a class="el" href="structnotification__config__s.html#acf4add4414b451c1a51df3833c7b5663">notification_config_s</a>
, <a class="el" href="structsound__property__s.html#ac16b579b78b9552f10922eb2423e3726">sound_property_s</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>unsubscribe()
: <a class="el" href="class_lib_soundmanager.html#a21060844aa7efad6473b6104546afb06">LibSoundmanager</a>
</li>
<li>use_gvariant
: <a class="el" href="struct___extended_g_d_bus_arg_info.html#abf04ecb35f229142c5a095d671003551">_ExtendedGDBusArgInfo</a>
, <a class="el" href="struct___extended_g_d_bus_property_info.html#a1e675b966697c71c6b330ae06677178f">_ExtendedGDBusPropertyInfo</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>value
: <a class="el" href="structmain__sound__property__s.html#a572bf8dadfcfaefed8ee7971951ee17a">main_sound_property_s</a>
, <a class="el" href="structsound__property__s.html#aa1bc6610497eb0dacff24a31365ac79d">sound_property_s</a>
</li>
<li>volume_changed
: <a class="el" href="struct___audiomanager_commandinterface_iface.html#a12178f8ea420184dc12314a6b297f044">_AudiomanagerCommandinterfaceIface</a>
</li>
</ul>


<h3><a id="index_0x7e"></a>- ~ -</h3><ul>
<li>~LibSoundmanager()
: <a class="el" href="class_lib_soundmanager.html#abf861908e3d6d85d2b3c08683b08f934">LibSoundmanager</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
